/*
 * FMDLog
 * Wideband O2 Display/Datalogging Application
 * For the TechEdge DIY-WB series of devices
 * (c) 2002-2003, Jonathan Burchmore
 *
 * Your use of this software is governed by the GNU General Public License, v2.
 * See the file COPYING.txt, or http://www.fsf.org/copyleft/gpl.txt
 *
 * This software is provided with ABSOLUTELY NO WARRANTY.  See the GNU General
 * public license for additional information.
 */

#include <PalmOS.h>
#include "resource.h"
#include "fmdlog.h"

/*
 * About Functions (about.c)
 */

Boolean AboutForm_HandleEvent( EventPtr event )
{
	FormPtr frm;
	ControlType *ctl;

	if ( event->eType == frmOpenEvent )
	{
		frm	= FrmGetActiveForm();
		ctl = FrmGetObjectPtr( frm, FrmGetObjectIndex( frm, labelVersion ) );

		CtlSetLabel( ctl, "FMDLog v" VERSION );
		FrmDrawForm( frm );

		return true;
	}
	else if ( event->eType == ctlSelectEvent )
	{
		if ( event->data.ctlSelect.controlID == buttonAboutClose )
		{
			FrmReturnToForm( 0 );
			return true;
		}
	}

	return false;
}
